%define section free

Summary:        A Swing Look & Feel package
Name:           kunststoff
Version:        2.0.2
Release:        1jpp
Epoch:          0
Group:          Desktop Environment/Theme
License:        LGPL
URL:            http://www.incors.org/
BuildArch:      noarch
Source0:        http://www.incors.org/kunststoff-2_0_2.zip
Source1:        %{name}-build.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant

%description
The Kunststoff Look&Feel is a completely free Look&Feel (LGPL
licensing) for Java(tm) Swing applications. Many Java(tm) developers
around the world are using it in exciting projects and with the help
of great people it is steadily getting better and nicer.
The Kunststoff Look&Feel is an extension to the the Java(tm) Metal
Look&Feel. This makes it very compact in size (approx. 43 kBytes) and
ensures that all the great features provided by the Metal Look&Feel do
not get lost. It is our little contribution for making the Java(tm)
platform even better and we hope that it will help you make some
wonderful GUIs.

%package        javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}

# -----------------------------------------------------------------------------

%prep
%setup -q -c
cp -p %{SOURCE1} ./build.xml
rm *.jar

# -----------------------------------------------------------------------------

%build
ant all

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc licence.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/*

# -----------------------------------------------------------------------------

%changelog
* Sat Aug 21 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.0.2-1jpp
- And last JPackage release, as the Kunststoff is no longer under development.
- Rebuild with Ant 1.6.2

* Fri Apr 25 2003 Ville Skytt <ville.skytta at iki.fi> - 0:2.0.1-1jpp
- First JPackage release.
